<tool id="GEO" name="getGEO" version="1.16.2">
  <macros>
      <import>getGEO_macros.xml</import>
  </macros>
  <expand macro="requirements" />
<stdio>
   <exit_code range="1:" />
</stdio>
  <command> Rscript $__tool_directory__/getGEO.R "$GSMTable" "$MetaTable" "$IlmnTable" "$gmTable"</command>
  <inputs>
    <param optional="false" format="csv" name="GSMTable" type="data" value="" help="GEO table of data." label="[required] GSMTable">
      <validator type="empty_field" message="This field is required."/>
    </param>
  </inputs>
  <outputs>
    <data format="csv" name="MetaTable" label="MetaData.csv"/>
    <data format="csv" name="IlmnTable" label="IlmnData.csv"/>
    <data format="csv" name="gmTable" label="gmSet.csv"/>
  </outputs>
  <tests>
    <test>
      <param name="test">
      <element name="test-data">
          <collection type="data">
              <element name="GSMTable" value="test-data/input.csv" />
          </collection>
        </element>
        </param>
        <output format="csv" name="MetaTable" label="test-data/MetaTable.csv"/>
        <output format="csv" name="IlmnTable" label="test-data/IlmnTable.csv"/>
        <output format="csv" name="gmTable" label="test-data/gmTable.csv"/>
        </test>
    </tests>
  <help>
**Description**
</help>
<citations>
GEO
</citations>
</tool>
